#include <bits/stdc++.h>
using namespace std;
int main(){
    double l,d,p,q,r,br=0;
    cin>>p>>q>>r>>l>>d;
    for(double n=l; n<=d; n++){
        if(ceil(n/p)+ceil(n/q)+ceil(n/r)<=n){
            br++;
        }
    }
    cout<<br;
}